Summary: 	Image browser and viewer
Name: 		gqview
Version: 	1.4.5
Release:	1
License: 	GPL
Group: 		User Interface/X
Source: 	http://dl.sf.net/sourceforge/gqview/gqview-%{version}.tar.gz
Patch1:		gqview-1.4.4-mimetype.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
URL: 		http://gqview.sourceforge.net/
BuildRequires: 	libpng-devel gtk2-devel
BuildRequires: 	gettext desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
GQview is an image viewer for browsing through graphics files. GQview
features include single click file viewing, support for external
editors, previewing images using thumbnails, and zoom.


%prep
%setup -q
%patch1 -p1 -b .mimetype
sed -i 's!^#define.*GQVIEW_HELPDIR.*!#define GQVIEW_HELPDIR "%{_docdir}/%{name}-%{version}"!' configure


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# should be '--vendor fedora', but that would break upgrades for
# people who have linked the desktop icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
	--delete-original \
	--vendor gnome \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category "Application" \
	--add-category "Graphics" \
	--add-category "X-Fedora" \
	$RPM_BUILD_ROOT%{_datadir}/applications/gqview.desktop

perl -pi -e 's/Name=GQview/Name=GQview Image Viewer/g' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gqview.desktop
perl -pi -e 's/Comment=Image Viewer/Comment=View and organize images/g' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gqview.desktop

# Remove unpackaged file from buildroot
rm -f $RPM_BUILD_ROOT%{_datadir}/gqview/README

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications &> /dev/null || :


%postun
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_bindir}/gqview
%{_mandir}/man1/gqview.1*
%{_datadir}/pixmaps/gqview.png
%{_datadir}/applications/*gqview.desktop


%changelog
* Sun Oct 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.4.5-1
- update to 1.4.5

* Thu Sep 30 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.4.4-0.fdr.3
- run update-desktop-database also in postun, avoid stderr/failures

* Sat Sep 25 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.4.4-0.fdr.2
- fix Help menu
- add MIME types and run update-desktop-database
- drop wrong BR gnome-libs-devel (Adrian Reber, fedora.us #2084)

* Tue Sep 21 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.4.4-0.fdr.1
- adapt fc2.90 package 1.4.1-3, upgrade to 1.4.4
- xinerama configure check patch is obsolete
- minor spec changes

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 16 2004 Warren Togami <wtogami@redhat.com> 1.4.1-2
- rebuild

* Tue Mar  2 2004 Dams <anvil[AT]livna.org> 1.4.1-1
- Fixed configure Xinerama.h checking (with patch)

* Mon Mar 01 2004 Warren Togami <wtogami@redhat.com> 1.4.0-1
- upgrade to 1.4.0
- massive spec cleanup, BuildRequires, etc.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 1.2.1-6
- rebuild for execshield

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 1.2.1-4
- Use configure macro

* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 1.2.1-3
- 1.2.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- fixup menu entry, #82129

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- 1.2.0

* Thu Nov 28 2002 Mike A. Harris <mharris@redhat.com> 1.0.2-3
- Cleaned up specfile to use standard RPM macros _bindir, _datadir, etc.
- Fixed build problem for if desktop_file define is set to 0
- Remove unpackaged files from buildroot
- Add previously unpackaged gqview manpage
- s/Copyright/License/
- use makeinstall macro

* Mon Jul 29 2002 Karsten Hopp <karsten@redhat.de> 1.0.2-2
- remove --add-only-show-in GNOME 

* Tue Jul 16 2002 Karsten Hopp <karsten@redhat.de> 1.0.2-1
- update (#68838)
- use desktop-file-install
- fix path to help files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Updated to new version.  Added locale information.  Fixed
  build directive to reflect new build system.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- Fix group.

* Wed Jul 7 1999 Michael Fulbright <drmike@redhat.com>
- version 0.7.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries
* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0
* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2
* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1
* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0
* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file

